resource "proxmox_virtual_environment_download_file" "iso" {
  content_type        = "iso"
  datastore_id        = var.datastore_iso
  node_name           = var.node_name
  url                 = var.image_url
  file_name           = var.file_name
  overwrite_unmanaged = true

  lifecycle {
    prevent_destroy = true
  }
}
output "iso_id" { value = proxmox_virtual_environment_download_file.iso.id }
